<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Q-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Q-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;<a href="index-23.html">X</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:Q">
<!--   -->
</a>
<h2 class="title">Q</h2>
<dl>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/INbaAccess.html#query(nl.naturalis.nba.api.QuerySpec)">query(QuerySpec)</a></span> - Method in interface nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/INbaAccess.html" title="interface in nl.naturalis.nba.api">INbaAccess</a></dt>
<dd>
<div class="block">
 Returns documents satisfying the provided query.</div>
</dd>
<dt><a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryCondition</span></a> - Class in <a href="../nl/naturalis/nba/api/package-summary.html">nl.naturalis.nba.api</a></dt>
<dd>
<div class="block">
 Class modeling a query condition.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E()">QueryCondition()</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>
<div class="block">Creates an empty search condition.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E(boolean)">QueryCondition(boolean)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>
<div class="block">instantiating a <code>QueryCondition</code> this way will create either the ALWAYS
 TRUE or the ALWAYS FALSE query condition, depending on the boolean value
 passed to this constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.Object)">QueryCondition(String, String, Object)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition(String, ComparisonOperator, Object)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E(nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition(Path, ComparisonOperator, Object)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E(nl.naturalis.nba.api.QueryCondition)">QueryCondition(QueryCondition)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>
<div class="block">Copy constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E(nl.naturalis.nba.api.UnaryBooleanOperator,java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition(UnaryBooleanOperator, String, ComparisonOperator, Object)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>
<div class="block">Creates a negated condition for the specified field, comparing it to the
 specified value using the specified operator.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryCondition.html#%3Cinit%3E(nl.naturalis.nba.api.UnaryBooleanOperator,nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition(UnaryBooleanOperator, Path, ComparisonOperator, Object)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../nl/naturalis/nba/api/QueryResult.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryResult</span></a>&lt;<a href="../nl/naturalis/nba/api/QueryResult.html" title="type parameter in QueryResult">T</a>&gt; - Class in <a href="../nl/naturalis/nba/api/package-summary.html">nl.naturalis.nba.api</a></dt>
<dd>
<div class="block">A <code>QueryResult</code> represents the result from a <a href="../nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><code>search
 request</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryResult.html#%3Cinit%3E()">QueryResult()</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../nl/naturalis/nba/api/QueryResultItem.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QueryResultItem</span></a>&lt;<a href="../nl/naturalis/nba/api/QueryResultItem.html" title="type parameter in QueryResultItem">T</a>&gt; - Class in <a href="../nl/naturalis/nba/api/package-summary.html">nl.naturalis.nba.api</a></dt>
<dd>
<div class="block">A <code>QueryResultItem</code> contains a document (or other type of object)
 returned from a <a href="../nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><code>query</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QueryResultItem.html#%3Cinit%3E(T,float)">QueryResultItem(T, float)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QueryResultItem.html" title="class in nl.naturalis.nba.api">QueryResultItem</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><span class="typeNameLink">QuerySpec</span></a> - Class in <a href="../nl/naturalis/nba/api/package-summary.html">nl.naturalis.nba.api</a></dt>
<dd>
<div class="block">
 A <code>QuerySpec</code> object enables you to specify a query for the NBA.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QuerySpec.html#%3Cinit%3E()">QuerySpec()</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/QuerySpec.html#%3Cinit%3E(nl.naturalis.nba.api.QuerySpec)">QuerySpec(QuerySpec)</a></span> - Constructor for class nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></dt>
<dd>
<div class="block">Copy constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/IMultiMediaObjectAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">queryWithNameResolution(NameResolutionQuerySpec)</a></span> - Method in interface nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/IMultiMediaObjectAccess.html" title="interface in nl.naturalis.nba.api">IMultiMediaObjectAccess</a></dt>
<dd>
<div class="block">Searches for multimedia while providing extra options to resolve a search phrase to a scientific name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../nl/naturalis/nba/api/ISpecimenAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">queryWithNameResolution(NameResolutionQuerySpec)</a></span> - Method in interface nl.naturalis.nba.api.<a href="../nl/naturalis/nba/api/ISpecimenAccess.html" title="interface in nl.naturalis.nba.api">ISpecimenAccess</a></dt>
<dd>
<div class="block">Searches for specimens while providing extra options to resolve a search phrase to a scientific name.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;<a href="index-23.html">X</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
